IBExWalletAPI
Admin

Tenant user by externalUserId

Returns user information for the given externalUserId within the current tenant rpId resolved from host/origin and x-api-key. Includes KY status, signers, and safes.

GET
/v1.2/domain/users/{id}

Authorization

x-api-key<token>

In: header

Path Parameters

idRequiredstring

externalUserId in current tenant

curl -X GET "https://passkeys-testnet.ibex.fi/v1.2/domain/users/<string>" \
  -H "x-api-key: <token>"

Default Response

{
  "id": "c76302cb-f845-40f4-9c56-29710323afba",
  "ky": "2",
  "userdata": {},
  "signers": [
    {
      "id": "AVZs0qRCBSmfThZWu37gK4nJR2w",
      "safes": [
        {
          "address": "0xd676c6188195372EC269E9C2cAf815C56436A679",
          "threshold": 1,
          "iban": {
            "chainId": 100,
            "iban": "FR7630006000011234567890189",
            "bic": "BNPAFRPPXXX"
          }
        }
      ]
    }
  ]
}